/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 创建或更新模板 POST /api/ElectronSign/CreateOrUpdateContractTemplate */
export async function createOrUpdateContractTemplate(
  body: API.CreateOrUpdateContractTemplateInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/ElectronSign/CreateOrUpdateContractTemplate', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 创建或更新客户 POST /api/ElectronSign/CreateOrUpdateCustomer */
export async function createOrUpdateCustomer(
  body: API.CreateOrUpdateCustomerInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/ElectronSign/CreateOrUpdateCustomer', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除模板 POST /api/ElectronSign/DeleteContractTemplate/${param0} */
export async function deleteContractTemplateId(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteContractTemplateIdParams,
  options?: API.RequestConfig
) {
  const { id: param0, ...queryParams } = params;
  return request<any>(`/api/ElectronSign/DeleteContractTemplate/${param0}`, {
    method: 'POST',
    params: { ...queryParams },
    ...(options || {}),
  });
}

/** 删除客户 POST /api/ElectronSign/DeleteCustomer/${param0} */
export async function deleteCustomerId(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteCustomerIdParams,
  options?: API.RequestConfig
) {
  const { id: param0, ...queryParams } = params;
  return request<any>(`/api/ElectronSign/DeleteCustomer/${param0}`, {
    method: 'POST',
    params: { ...queryParams },
    ...(options || {}),
  });
}

/** 获取合同信息 POST /api/ElectronSign/GetContractInfo */
export async function getContractInfo(body: API.GetContractInfoInput, options?: API.RequestConfig) {
  return request<API.GetContractInfoDto>('/api/ElectronSign/GetContractInfo', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取合同列表 POST /api/ElectronSign/GetContractList */
export async function getContractList(body: API.GetContractInput, options?: API.RequestConfig) {
  return request<API.GetContractDtoPageOutput>('/api/ElectronSign/GetContractList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取合同模板列表 POST /api/ElectronSign/GetContractTemplateList */
export async function getContractTemplateList(
  body: API.GetContractTemplateInput,
  options?: API.RequestConfig
) {
  return request<API.GetContractTemplateDtoPageOutput>(
    '/api/ElectronSign/GetContractTemplateList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取账单列表 POST /api/ElectronSign/GetCostList */
export async function getCostList(body: API.GetCostInput, options?: API.RequestConfig) {
  return request<API.GetCostDtoPageOutput>('/api/ElectronSign/GetCostList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取客户列表 POST /api/ElectronSign/GetCustomerList */
export async function getCustomerList(body: API.GetCustomerInput, options?: API.RequestConfig) {
  return request<API.GetCustomerDtoPageOutput>('/api/ElectronSign/GetCustomerList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取用户信息 POST /api/ElectronSign/GetUserInfo */
export async function getUserInfo(body: API.GetUserInfoInput, options?: API.RequestConfig) {
  return request<API.GetUserInfoDto>('/api/ElectronSign/GetUserInfo', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取用户列表 POST /api/ElectronSign/GetUserList */
export async function getUserList(body: API.GetUserInput, options?: API.RequestConfig) {
  return request<API.GetUserDtoPageOutput>('/api/ElectronSign/GetUserList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 企业实名 POST /api/ElectronSign/RealEnterprise */
export async function realEnterprise(body: API.RealEnterpriseInput, options?: API.RequestConfig) {
  return request<API.RealEnterpriseOutput>('/api/ElectronSign/RealEnterprise', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 个人实名 POST /api/ElectronSign/RealPersonal */
export async function realPersonal(body: API.RealPersonalInput, options?: API.RequestConfig) {
  return request<API.RealPersonalOutput>('/api/ElectronSign/RealPersonal', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 注册或更新用户信息 POST /api/ElectronSign/RegOrUpdateUser */
export async function regOrUpdateUser(body: API.RegOrUpdateUserInput, options?: API.RequestConfig) {
  return request<any>('/api/ElectronSign/RegOrUpdateUser', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 发起签约 POST /api/ElectronSign/SendContract */
export async function sendContract(body: API.SendContractInput, options?: API.RequestConfig) {
  return request<API.SendContractOutput>('/api/ElectronSign/SendContract', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 发送实名短信 POST /api/ElectronSign/SendRealSms */
export async function sendRealSms(body: API.SendRealSmsInput, options?: API.RequestConfig) {
  return request<any>('/api/ElectronSign/SendRealSms', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 测试客户回调通知 POST /api/ElectronSign/TestCustomerCallback */
export async function testCustomerCallback(
  body: API.SendCallbackInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/ElectronSign/TestCustomerCallback', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新企业印章 POST /api/ElectronSign/UpdateEnterpriseSeal */
export async function updateEnterpriseSeal(
  body: API.UpdateEnterpriseSealInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/ElectronSign/UpdateEnterpriseSeal', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
